### Virtual Method

# Ide SymbolResolver lookup_symbol_async

#### Declaration

    void
    lookup_symbol_async (
      IdeSymbolResolver* self,
      IdeLocation* location,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously requests that `self` determine the symbol existing at the source location denoted by `self`. `callback` should call `ide_symbol_resolver_lookup_symbol_finish()` to retrieve the result.

Available since: | 3.32

#### Parameters

`location` | `IdeLocation`
| An `IdeLocation`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute upon completion.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.